<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: action.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: подгрузка файла для массовых действий
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../../.." );
define( "ENGINE_DIR", "../../.." );
require_once( ENGINE_DIR."/ajax/board/admin/OptAjax.php" );

//-------------------------------------------------====
//	Само выполнение
//-------------------------------------------------====

$TypeAction = $_REQUEST['TypeAction'];
switch( $TypeAction ){
	
	case "fields":
		require_once( ENGINE_DIR."/ajax/board/admin/action/fields.php" );
		break;
		
	case "category":
		require_once( ENGINE_DIR."/ajax/board/admin/action/category.php" );
		break;
		
	case "board_type":
		require_once( ENGINE_DIR."/ajax/board/admin/action/board_type.php" );
		break;
		
	case "currency":
		require_once( ENGINE_DIR."/ajax/board/admin/action/currency.php" );
		break;
		
	case "city":
		require_once( ENGINE_DIR."/ajax/board/admin/action/city.php" );
		break;
		
	case "board_post":
		require_once( ENGINE_DIR."/ajax/board/admin/action/board_post.php" );
		break;
		
	case "banners":
		require_once( ENGINE_DIR."/ajax/board/admin/action/banners.php" );
		break;
		
	case "blocks":
		require_once( ENGINE_DIR."/ajax/board/admin/action/blocks.php" );
		break;
		
	default:
		echoReturn( "Не верный запрос!" );
		break;
}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>